APIs / VivaReal / Price Insights
VivaReal: Price Insights
Price Insights from VivaReal as JSON. 1 credit per successful call.
GET /v1/vivareal/price-insights
Parameters
Send parameters in the query string.
| Parameter | Type | Required | Allowed values |
|---|---|---|---|
portal | string | Optional | ZAP, VIVAREAL, zap, vivareal |
city | string | Required | Up to 120 characters |
state | string | Required | Up to 120 characters |
neighborhood | string | Optional | Up to 120 characters |
business_type | string | Required | RENTAL, SALE, rental, sale |
unit_type | string | Required | Up to 40 characters |
latitude | number | Required | Any |
longitude | number | Required | Any |
location_id | string | Required | Up to 255 characters |
Example request
curl "https://api.perceptlayer.com/v1/vivareal/price-insights?portal=ZAP&city=Sao+Paulo&state=Sao+Paulo&neighborhood=Pinheiros&business_type=RENTAL&unit_type=APARTMENT&latitude=-23.563579&longitude=-46.691607&location_id=BR%3ESao+Paulo%3ENULL%3ESao+Paulo%3EZona+Oeste%3EPinheiros" \
-H "X-API-Key: $API_KEY"